imap_bodystruct
imap_clearflag_full
IMAP Functions
PHP Manual

# imap_check

Check current mailbox

### Description

object imap_check ( resource `$imap_stream` )

Checks information about the current mailbox.

### Parameters

`imap_stream`

  An IMAP stream returned by imap_open.

### Return Values

Returns the information in an object with following properties:

- `Date` - current system time formatted according to » RFC2822
- `Driver` - protocol used to access this mailbox: POP3, IMAP, NNTP
- `Mailbox` - the mailbox name
- `Nmsgs` - number of messages in the mailbox
- `Recent` - number of recent messages in the mailbox

Returns `FALSE` on failure.

### Examples

Example #1 imap_check example

`<?php
$imap_obj = imap_check($imap_stream);
var_dump($imap_obj);
?>`

The above example will output something similar to:

    object(stdClass)(5) {
      ["Date"]=>
      string(37) "Wed, 10 Dec 2003 17:56:54 +0100 (CET)"
      ["Driver"]=>
      string(4) "imap"
      ["Mailbox"]=>
      string(54)
      "{www.example.com:143/imap/user="foo@example.com"}INBOX"
      ["Nmsgs"]=>
      int(1)
      ["Recent"]=>
      int(0)
    }